ComputationStatus (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter

## Class ComputationStatus

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.ComputationStatus

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class ComputationStatus
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComputationStatus.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComputationStatus()`
    `ComputationStatus(ComputationStatus.Status status, float percentage)`
    `ComputationStatus(ComputationStatus.Status status, float percentage, List<Float> processors)`
    `ComputationStatus(float percentage, List<Float> processors)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getPercentage()`
    `List<Float>` | `getProcessors()`
    `ComputationStatus.Status` | `getStatus()`
    `boolean` | `isFailed()`
    `boolean` | `isTerminated()`
    `void` | `setPercentage(float percentage)`
    `void` | `setProcessors(List<Float> processors)`
    `void` | `setStatus(ComputationStatus.Status status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputationStatus

          public ComputationStatus()

    - #### ComputationStatus

          public ComputationStatus(float percentage,
                           List<Float> processors)

    - #### ComputationStatus

          public ComputationStatus(ComputationStatus.Status status,
                           float percentage,
                           List<Float> processors)

    - #### ComputationStatus

          public ComputationStatus(ComputationStatus.Status status,
                           float percentage)

      Parameters:
        `perc` -
        `term` -

  - ### Method Detail

    - #### getPercentage

          public float getPercentage()

    - #### getProcessors

          public List<Float> getProcessors()

    - #### setPercentage

          public void setPercentage(float percentage)

    - #### setProcessors

          public void setProcessors(List<Float> processors)

    - #### isTerminated

          public boolean isTerminated()

    - #### getStatus

          public ComputationStatus.Status getStatus()

    - #### setStatus

          public void setStatus(ComputationStatus.Status status)

    - #### isFailed

          public boolean isFailed()

      Returns:

Copyright © 2014. All Rights Reserved.